/// <reference types="node" />
import { Transform } from "stream";
import { ZlibOptions, BrotliOptions } from "zlib";
import { HttpContentEncoding } from "@reactive-js/http";
import { Option } from "@reactive-js/option";
export declare const createEncodingCompressTransform: (encoding: HttpContentEncoding, options: BrotliOptions | ZlibOptions) => () => Transform;
export declare const createEncodingDecompressTransform: (encoding: HttpContentEncoding, options: BrotliOptions | ZlibOptions) => () => Transform;
export declare const supportedEncodings: HttpContentEncoding[];
export declare const getFirstSupportedEncoding: (acceptedEncodings: readonly HttpContentEncoding[]) => Option<HttpContentEncoding>;
//# sourceMappingURL=httpContentEncoding.d.ts.map