/// <reference types="node" />
import { ServerResponse, IncomingMessage } from "http";
import { Http2ServerRequest, Http2ServerResponse } from "http2";
import { HttpServer } from "@reactive-js/http-common";
import { BufferStreamLike } from "@reactive-js/node";
import { ObservableLike } from "@reactive-js/observable";
import { SchedulerLike } from "@reactive-js/scheduler";
export declare type HttpRequestListenerOptions = {
    readonly onError?: (e: unknown) => ObservableLike<unknown>;
};
export declare type HttpRequestListener = (req: IncomingMessage | Http2ServerRequest, resp: ServerResponse | Http2ServerResponse) => void;
export declare const createHttpRequestListener: (handler: HttpServer<BufferStreamLike, BufferStreamLike>, scheduler: SchedulerLike, options?: HttpRequestListenerOptions) => HttpRequestListener;
//# sourceMappingURL=httpRequestListener.d.ts.map