/// <reference types="node" />
import { BrotliOptions, ZlibOptions } from "zlib";
import { HttpMessage, MediaType } from "@reactive-js/http";
import { BufferStreamLike } from "@reactive-js/node";
import { Operator } from "@reactive-js/pipe";
export declare const decodeHttpMessage: <TMessage extends HttpMessage<BufferStreamLike>>(message: TMessage, options?: BrotliOptions | ZlibOptions) => TMessage;
export declare const encodeCharsetHttpMessage: (contentType: string | MediaType) => Operator<HttpMessage<string>, HttpMessage<BufferStreamLike>>;
